List audit evidence url
Returns a paginated list of evidence urls for an audit. This endpoint should be called whenever an evidence is created or has a statusUpdatedAt field that is more recent than the most recent polling event.
Evidence must be in one of the following states to retrieve URLs: “Ready for audit”, “Accepted”, “Flagged”, or “NA”.
Rate limit: 600 requests / minute.
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.getEvidenceUrls({
auditId: "<id>",
auditEvidenceId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceUrlsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditEvidenceUrlsResponse res = sdk.audits().getEvidenceUrls()
.auditId("<id>")
.auditEvidenceId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseEvidenceUrl().isPresent()) {
System.out.println(res.paginatedResponseEvidenceUrl().get());
}
}
}curl --request GET \
--url https://api.vanta.com/v1/audits/{auditId}/evidence/{auditEvidenceId}/urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/evidence/{auditEvidenceId}/urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/audits/{auditId}/evidence/{auditEvidenceId}/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "NjVmYzgxYTMzNTljODUwOGM5YWY4ODBm",
"url": "https://s3.amazonaws.com/audit-evidence/2022/audit.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=secret%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221104T140227Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55",
"filename": "example.jpg",
"isDownloadable": true,
"mimeType": "image/jpeg"
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
"endCursor": "YXJyYXljb25uZWN0aW9uOjE="
},
"totalCount": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Controls the maximum number of items returned in one response from the API.
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
Ok
Show child attributes
Show child attributes
Related topics
List audit evidenceList evidence for an information requestEvidence deletedEvidence createdUpdate audit evidenceWas this page helpful?
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.getEvidenceUrls({
auditId: "<id>",
auditEvidenceId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceUrlsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditEvidenceUrlsResponse res = sdk.audits().getEvidenceUrls()
.auditId("<id>")
.auditEvidenceId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseEvidenceUrl().isPresent()) {
System.out.println(res.paginatedResponseEvidenceUrl().get());
}
}
}